PDA

View Full Version : opengl doesn't work while i have it :S



dolor
09-04-2008, 12:23 PM
ey all,
i've gotten an ati radeon 3800 (agp version), but opengl does not seem to work with it. whenever i try to run an opengl game, like wolfenstein:enemy territory, or runescape HD, i get the error "unsupported opengl version". i've checked my opengl version with a program (version 6.14.10.7659). Directx games, like call of duty 4, play perfect, but opengl games don't. what can the problem be?

dolor
09-06-2008, 01:21 AM
sorry for double post, but i think i know the problem (couldn't find the edit button :S sry): i've gotten an ati radeon HD 3800, according to CCC, but i've always downloaded HD3850 drivers. can this be the problem? since i couldn't find the 3800 in the list... wich drivers do i need then?

V-man
09-06-2008, 12:29 PM
This is just a driver file version : 6.14.10.7659

You can check the GL version with this, which should be 2.1
http://www.ozone3d.net/gpu_caps_viewer/

and if that is correct, wolfenstein:enemy territory needs to be patched since it is probably not detecting the version correctly.

Nighthawk
09-08-2008, 02:29 PM
The AGP versions of ATI cards may need a driver hotfix to work properly.

http://support.ati.com/ics/support/default.asp?deptID=894&task=knowledge&questionID=31625

I not sure if that is your problem but worth a try...